Package org.jcsp.awt

# Class GraphicsProtocol.General

java.lang.Object
org.jcsp.lang.TaggedProtocol
org.jcsp.awt.GraphicsProtocol
org.jcsp.awt.GraphicsProtocol.General

Enclosing class:
  `GraphicsProtocol`

public static final class GraphicsProtocol.General extends GraphicsProtocol
This is a general configuration class for the graphics component. The user constructs an instance of this class, supplying an object implementing the ``Configure`` interface, and writes it down the `toGraphics` channel. The graphics component invokes the `configure` method of the enclosed `Configure` object and returns the `Object` result down the `fromGraphics` channel.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jcsp.awt.GraphicsProtocol

`GraphicsProtocol.Configure, GraphicsProtocol.General, GraphicsProtocol.MakeMISImage, GraphicsProtocol.SetBackground, GraphicsProtocol.SetPaintable`

## Field Summary

### Fields inherited from class org.jcsp.awt.GraphicsProtocol

`GET_BACKGROUND, GET_COMPONENT, GET_DIMENSION, REQUEST_FOCUS`

### Fields inherited from class org.jcsp.lang.TaggedProtocol

`tag`

## Constructor Summary

Constructors
Constructor
Description
`General(GraphicsProtocol.Configure c)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### General

public General(GraphicsProtocol.Configure c)

Parameters:
  `c` - the object implementing the user's configuration requirements for the graphics component.